petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmSortGetSizes

Gets the sizes associated with a DMSwarm point sorting context

### Synopsis

    PETSC_EXTERN PetscErrorCode DMSwarmSortGetSizes(DM dm,PetscInt *ncells,PetscInt *npoints)

Not collective

### Input parameter

dm -a DMSwarm object

### Output parameters

| ncells | - number of cells within the sort context (pass NULL to ignore)
| npoints | - number of points used to create the sort context (pass NULL to ignore)

### See Also

DMSwarmSetType(), DMSwarmSortGetAccess()

### Level

advanced

### Location

src/dm/impls/swarm/swarmpic_sort.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages